[PATCH] remove comp128 from public API - use osmocom/crypt/auth.h instead

Max.Suraev at fairwaves.co
Mon Jun 16 16:43:26 UTC 2014


This will obviously require API version bump but it should not break any applications
which use auth.h API.

Patch for osmocom-bb to use auth.h is applied in git.
Patch for OpenBSC pending review in the ML.

If there are other open source projects using comp128 directly I'd be to assist with
transition, although it's rather trivial - see
http://patchwork.ozlabs.org/patch/356029/ for example.

cheers,
Max.





More information about the baseband-devel mailing list